import {
  a as s,
  c as a
} from "./chunk-IO47FP3U.js";

// ../node_modules/highlight.js/lib/languages/shell.js
var l = a((o, e) => {
  function n(t) {
    return {
      name: "Shell Session",
      aliases: ["console"],
      contains: [
        {
          className: "meta",
          // We cannot add \s (spaces) in the regular expression otherwise it will be too broad and produce unexpected result.
          // For instance, in the following example, it would match "echo /path/to/home >" as a prompt:
          // echo /path/to/home > t.exe
          begin: /^\s{0,3}[/~\w\d[\]()@-]*[>%$#]/,
          starts: {
            end: /[^\\](?=\s*$)/,
            subLanguage: "bash"
          }
        }
      ]
    };
  }
  s(n, "shell");
  e.exports = n;
});

export {
  l as a
};
